Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.validators
Class CascadingParameterTypeValidator

    java.lang.Object
      org.eclipse.birt.report.model.validators.AbstractSemanticValidator
          org.eclipse.birt.report.model.validators.AbstractElementValidator
              org.eclipse.birt.report.model.api.validators.CascadingParameterTypeValidator

    public class CascadingParameterTypeValidator

extends org.eclipse.birt.report.model.validators.AbstractElementValidator

Validates that type of the parameters in a cascading parameter group should be "dynamic".

Field Summary

Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator
`modules, name`

Constructor Summary
`CascadingParameterTypeValidator()`

Method Summary
`static CascadingParameterTypeValidator` | `getInstance()` Returns the instance of this validator.
`java.util.List<SemanticException>` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Validates whether the type of the parameter is valid.

Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator
`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CascadingParameterTypeValidator

    public CascadingParameterTypeValidator()

Method Detail

### getInstance

    public static CascadingParameterTypeValidator getInstance()

  Returns the instance of this validator.

  Returns:
    the instance of this validator.

### validate

    public java.util.List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module,
                                                      org.eclipse.birt.report.model.core.DesignElement element)

  Validates whether the type of the parameter is valid.

  Specified by:
    `validate` in class `org.eclipse.birt.report.model.validators.AbstractElementValidator`
  Parameters:
    `module` - the module
    `element` - the parameter to
  Returns:
    error list, each of which is the instance of `SemanticException`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.